package com.emr.dao;

import com.emr.vo.OverdueRemindVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OverdueRemindMapper {

    //查询主管医生id
    String selectDoctorId(OverdueRemindVO overdueRemindVO);
    //查询主管医医生有多少条超期记录
    String selectoverdueNumAndDoctorId(OverdueRemindVO overdueRemindVO);

    List<OverdueRemindVO> selectoverdueDate(@Param("deptIdQuality")String deptIdQuality);
    //查询主管医医生有多少条超期记录
    List<OverdueRemindVO> selectoverdueNumAndQualityControl(@Param("deptIdQuality")String deptIdQuality);
    // 保存操作日志
    int insertRemind(OverdueRemindVO overdueRemindVO);
    //判断超期提醒状态
    int selectOverdueStatcByDoctorId(OverdueRemindVO overdueRemindVO);
    //修改日志超期提醒状态
    int updatetOverdueStatcByDoctorId(OverdueRemindVO overdueRemindVO);
}
